@import '../../styles/theme';

.gerami-button {
  display: inline-block;
  margin: 0;
  padding: ($space / 2 - 2) ($space - 2);
  border: $border solid darken($bg, 14%);
  border-radius: $radius;
  outline: 0;
  font: inherit;
  font-size: 91%;
  font-weight: 600;
  text-align: center;
  text-decoration: none;
  background-color: darken($bg, 3%);
  box-shadow: $shade-S;
  color: lighten($fg, 28%);
  transition: all 150ms;
  cursor: pointer;

  &:focus,
  &:hover {
    border-color: $primary;
    background-color: darken($bg, 7%);
    box-shadow: $shade-S, $shade-M, $shade-L;
    color: $fg;
  }
  &:active {
    box-shadow: none;
    filter: drop-shadow($text-shade-S);
    transform: $touch;
  }
  &:disabled,
  &:disabled:active,
  &:disabled:focus,
  &:disabled:hover {
    border-color: transparent;
    background-color: darken($bg, 7%);
    box-shadow: none;
    color: lighten($fg, 42%);
    filter: none;
    transform: none;
    cursor: default;
  }
}

.gerami-button-primary {
  border-color: $primary;
  background-color: $primary;
  color: darken($bg, 7%);

  &:focus,
  &:hover {
    border-color: $primary;
    background-color: lighten($primary, 3%);
    color: $bg;
  }
}
